POST /api/v202306/user Deprecated

CreateUserV202306 Permissions: UsersAndUserGroups (Manage)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Request Body

UserCreateRequestV202306
Property Description Type
active boolean
activeDirectory boolean
email Required Must be between 0 and 128 characters string
forcePasswordChange Required boolean
fullName Required Must be between 0 and 32 characters string
maxApprovalAmount integer (int32)
password Required Must be between 0 and 128 characters string
passwordExpirationInterval Required integer (int32)
reportGroupId integer (int32)
strongPassword Required boolean
topmostCollectionIds Create User with one or multiple topmost collection ids The CollectionIds must be in the creating user’s topmost Required Cannot be Empty integer[]
topmostCostCenterIds Create User with one or multiple topmost cost center ids The CostCenterIds must be in the creating user’s topmost Required Cannot be Empty integer[]
topmostPlaceIds Create User with one or multiple topmost place ids The PlaceIds must be in the creating user’s topmost Required Cannot be Empty integer[]
userCode Required Must be between 0 and 65 characters string
userGroups List of user group ids If null, empty, or not passed the user will not be assigned to any groups integer[]
userRoleId Required integer (int32)
Example Request Body application/json
{  "active": false,  "activeDirectory": false,  "email": "string",  "forcePasswordChange": false,  "fullName": "string",  "maxApprovalAmount": 1,  "password": "string",  "passwordExpirationInterval": 1,  "reportGroupId": 1,  "strongPassword": false,  "topmostCollectionIds": [
    1
  ],  "topmostCostCenterIds": [
    1
  ],  "topmostPlaceIds": [
    1
  ],  "userCode": "string",  "userGroups": [
    1
  ],  "userRoleId": 1
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

UserResponse
Property Description Type
active User is active or inactive boolean
activeDirectory Is this a active directory user? boolean
collection TopmostCollection
TopmostCollection properties
Property Description Type
collectionCode The collection code string
collectionIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
collectionId The collection identifier integer (int32)
collectionInfo The collection info string
isMultiTopmostCollection User’s topmost combines multiple collections boolean
multiTopmostCollections CollectionChild[]
CollectionChild properties
Property Description Type
collectionCode The collection code string
collectionIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
collectionId The collection identifier integer (int32)
collectionInfo The collection info string
costCenter TopmostCostCenter
TopmostCostCenter properties
Property Description Type
costCenterCode The cost center code string
costCenterId The cost center identifier integer (int32)
costCenterInfo The cost center info string
isMultiTopmostCostCenter User’s topmost combines multiple cost centers boolean
multiTopmostCostCenters CostCenterChild[]
CostCenterChild properties
Property Description Type
costCenterCode The cost center code string
costCenterId The cost center identifier integer (int32)
costCenterInfo The cost center info string
email Email ID of the user string
externalUserId The external identifier for the user. This is only used for federated login. string
forcePasswordChange Should the user be forced to change password on next login boolean
fullName Full name of the user string
lastLogin last time the user logged in string (date-time)
maxApprovalAmount Max Total cost of bill this user is allowed to approve integer (int32)
passwordExpirationInterval Days until password expires integer (int32)
place TopmostPlace
TopmostPlace properties
Property Description Type
isDataRolledUp Tells whether or not the place’s data is rolled up to its parents. boolean
isMultiTopmostPlace User’s topmost combines multiple places boolean
multiTopmostPlaces PlaceChild[]
PlaceChild properties
Property Description Type
isDataRolledUp Tells whether or not the place’s data is rolled up to its parents. boolean
placeCode The place code string
placeId The place identifier integer (int32)
placeInfo The place info string
placeType PlaceTypeResponse
PlaceTypeResponse properties
Property Description Type
icon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
isSystemPlaceType Flag to indicate if the place type is a system-level place type boolean
placeEntityType PlaceEntityTypeV202406
PlaceEntityTypeV202406 properties
Property Description Type
placeEntityTypeId The place entity type identifier integer (int32)
placeEntityTypeInfo The place entity type name string
placeTypeCode The place type code string
placeTypeId The place type identifier integer (int32)
placeTypeInfo The place type info string
structure Indicates if the place is a structure boolean
placeCode The place code string
placeId The place identifier integer (int32)
placeInfo The place info string
placeType PlaceTypeResponse
PlaceTypeResponse properties
Property Description Type
icon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
isSystemPlaceType Flag to indicate if the place type is a system-level place type boolean
placeEntityType PlaceEntityTypeV202406
PlaceEntityTypeV202406 properties
Property Description Type
placeEntityTypeId The place entity type identifier integer (int32)
placeEntityTypeInfo The place entity type name string
placeTypeCode The place type code string
placeTypeId The place type identifier integer (int32)
placeTypeInfo The place type info string
structure Indicates if the place is a structure boolean
reportGroup ReportGroupChildResponse
ReportGroupChildResponse properties
Property Description Type
reportGroupCode string
reportGroupId integer (int32)
reportGroupInfo string
space TopmostSpace
TopmostSpace properties
Property Description Type
isDataRolledUp Tells whether or not the place’s data is rolled up to its parents. boolean
isMultiTopmostPlace User’s topmost combines multiple places boolean
multiTopmostPlaces PlaceChild[]
PlaceChild properties
Property Description Type
isDataRolledUp Tells whether or not the place’s data is rolled up to its parents. boolean
placeCode The place code string
placeId The place identifier integer (int32)
placeInfo The place info string
placeType PlaceTypeResponse
PlaceTypeResponse properties
Property Description Type
icon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
isSystemPlaceType Flag to indicate if the place type is a system-level place type boolean
placeEntityType PlaceEntityTypeV202406
PlaceEntityTypeV202406 properties
Property Description Type
placeEntityTypeId The place entity type identifier integer (int32)
placeEntityTypeInfo The place entity type name string
placeTypeCode The place type code string
placeTypeId The place type identifier integer (int32)
placeTypeInfo The place type info string
structure Indicates if the place is a structure boolean
placeCode The place code string
placeId The place identifier integer (int32)
placeInfo The place info string
placeType PlaceTypeResponse
PlaceTypeResponse properties
Property Description Type
icon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
isSystemPlaceType Flag to indicate if the place type is a system-level place type boolean
placeEntityType PlaceEntityTypeV202406
PlaceEntityTypeV202406 properties
Property Description Type
placeEntityTypeId The place entity type identifier integer (int32)
placeEntityTypeInfo The place entity type name string
placeTypeCode The place type code string
placeTypeId The place type identifier integer (int32)
placeTypeInfo The place type info string
structure Indicates if the place is a structure boolean
strongPassword Does user need a strong password - at least 8 character long, one upper case, one number, one special char boolean
userCode User Code string
userGroups List of groups a user is a part of UserGroupChild[]
UserGroupChild properties
Property Description Type
userGroupId The user group identifier integer (int32)
userGroupName The user group name string
userId User Identifier integer (int32)
userRole SystemUserRoleChild
SystemUserRoleChild properties
Property Description Type
userRoleId The user role identifier integer (int32)
userRoleInfo The user role name string
Example Response application/json
{  "active": false,  "activeDirectory": false,  "collection": {    "collectionCode": "string",    "collectionIcon": {      "code": "string",      "color": "string"
    },    "collectionId": 1,    "collectionInfo": "string",    "isMultiTopmostCollection": false,    "multiTopmostCollections": [
      {      "collectionCode": "string",      "collectionIcon": {},      "collectionId": 1,      "collectionInfo": "string"
    }
    ]
  },  "costCenter": {    "costCenterCode": "string",    "costCenterId": 1,    "costCenterInfo": "string",    "isMultiTopmostCostCenter": false,    "multiTopmostCostCenters": [
      {      "costCenterCode": "string",      "costCenterId": 1,      "costCenterInfo": "string"
    }
    ]
  },  "email": "string",  "externalUserId": "string",  "forcePasswordChange": false,  "fullName": "string",  "lastLogin": "2026-03-30",  "maxApprovalAmount": 1,  "passwordExpirationInterval": 1,  "place": {    "isDataRolledUp": false,    "isMultiTopmostPlace": false,    "multiTopmostPlaces": [
      {      "isDataRolledUp": false,      "placeCode": "string",      "placeId": 1,      "placeInfo": "string",      "placeType": {}
    }
    ],    "placeCode": "string",    "placeId": 1,    "placeInfo": "string",    "placeType": {      "icon": {},      "isSystemPlaceType": false,      "placeEntityType": {},      "placeTypeCode": "string",      "placeTypeId": 1,      "placeTypeInfo": "string",      "structure": false
    }
  },  "reportGroup": {    "reportGroupCode": "string",    "reportGroupId": 1,    "reportGroupInfo": "string"
  },  "space": {    "isDataRolledUp": false,    "isMultiTopmostPlace": false,    "multiTopmostPlaces": [
      {      "isDataRolledUp": false,      "placeCode": "string",      "placeId": 1,      "placeInfo": "string",      "placeType": {}
    }
    ],    "placeCode": "string",    "placeId": 1,    "placeInfo": "string",    "placeType": {      "icon": {},      "isSystemPlaceType": false,      "placeEntityType": {},      "placeTypeCode": "string",      "placeTypeId": 1,      "placeTypeInfo": "string",      "structure": false
    }
  },  "strongPassword": false,  "userCode": "string",  "userGroups": [
    {    "userGroupId": 1,    "userGroupName": "string"
  }
  ],  "userId": 1,  "userRole": {    "userRoleId": 1,    "userRoleInfo": "string"
  }
}